package com.neusoft.smart.pos.member.persistent.mapper;

import com.neusoft.smart.pos.member.persistent.domain.MemberBusinessDict;
import com.neusoft.smart.pos.member.persistent.domain.MemberBusinessDictExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MemberBusinessDictMapper {
    int countByExample(MemberBusinessDictExample example);

    int deleteByExample(MemberBusinessDictExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MemberBusinessDict record);

    int insertSelective(MemberBusinessDict record);

    List<MemberBusinessDict> selectByExample(MemberBusinessDictExample example);

    MemberBusinessDict selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MemberBusinessDict record, @Param("example") MemberBusinessDictExample example);

    int updateByExample(@Param("record") MemberBusinessDict record, @Param("example") MemberBusinessDictExample example);

    int updateByPrimaryKeySelective(MemberBusinessDict record);

    int updateByPrimaryKey(MemberBusinessDict record);

    void batchInsert(@Param("items") List<MemberBusinessDict> items);
}